Bug 1226772 - [RFE] GlusterFS Smart volume management
Summary: [RFE] GlusterFS Smart volume management
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-01 04:55 UTC by Csaba Henk
Modified: 2018-11-19 05:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 05:19:49 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 563 0 None None None 2018-11-19 05:44:11 UTC

Description Csaba Henk 2015-06-01 04:55:26 UTC
Description of problem:

Creating / extending a volume is certainly possible with glusterfs through the "gluster volume create / add-brick" commands. However, these commands needs to be called with details about the resource that will be included in the volume. We need a high-level interface that requires one to specify only what she wants, not how to assemble the thing wanted. Possible syntax could be (showed here only for demonstrational purposes, other syntax / semantics is fine too):

gluster volume instantiate <volume-name> <size>
gluster volume resize <volume-name> <size>

The original idea (and the use case behind it) is only about describing the desired volume in terms of size; however, it could be considered to allow the requestor to provide further constraints / preferences.

Comment 1 Soumya Koduri 2015-06-02 12:38:15 UTC
Prabably, these new enhancements have to be discussed in gluster-devel regarding their feasibility and use-cases.

Comment 2 Vijay Bellur 2018-11-19 05:44:11 UTC
Migrated to github:

https://github.com/gluster/glusterfs/issues/563

Please follow the github issue for further updates on this bug.


Note You need to log in before you can comment on or make changes to this bug.